<?php

use Illuminate\Support\Facades\Route;


// 登录
Route::post('login', ['uses' => 'LoginController@login', 'label' => '登录', 'description' => '登录']);
Route::post('submit_info', ['uses' => 'LoginController@studentInfoSubmit', 'label' => '收集学员信息', 'description' => '收集学员信息']);
Route::post('submit_intention', ['uses' => 'LoginController@studentIntentionInfoSubmit', 'label' => '收集学员意向信息', 'description' => '收集学员信息']);
Route::post('submit_score', ['uses' => 'LoginController@studentScoreInfoSubmit', 'label' => '收集学员意向信息', 'description' => '收集学员信息']);
Route::post('submit_eval', ['uses' => 'LoginController@studentEvalSubmit', 'label' => '收集学员意向信息', 'description' => '收集学员信息']);
Route::post('submit_consult', ['uses' => 'LoginController@studentConsultSubmit', 'label' => '中公高招高考志愿规划咨询单', 'description' => '中公高招高考志愿规划咨询单']);


// 2025普通类专业+院校 || 院校专业组 高考志愿预案表（姓名、手机号、省份、选科、分数、位次）
Route::post('common/preference/major', ['uses' => 'LoginController@commonPreferenceMajor', 'label' => '收集学员意向信息', 'description' => '2025普通类专业+院校 || 院校专业组 高考志愿预案表（姓名、手机号、省份、选科、分数、位次）']);

// 获取家长报名意向填写期数列表
Route::get('parents/intention/periods', ['uses' => 'LoginController@parentsIntentionPeriods', 'label' => '收集学员意向信息', 'description' => '获取家长报名意向填写期数列表']);

// 家长报名意向填写
Route::post('parents/intention', ['uses' => 'LoginController@parentsIntention', 'label' => '收集学员意向信息', 'description' => '家长报名意向填写']);
